Skip to main content
GET
Read computer email

Authorizations

Authorization
string
header
required

A Cool Computers API key, user access token, or claimed agent access token in the Authorization header. Follow https://www.cool.computer/auth.md for agent registration and https://www.cool.computer/authentication.md for direct user credentials.

Path Parameters

id
string
required

Stable public computer identifier.

Minimum string length: 1
Example:

"cmp_123"

emailID
string
required

Email identifier returned by the inbox list operation.

Minimum string length: 1
Example:

"eml_123"

Response

One inbound or outbound email.

id
string
required
direction
enum<string>
required
Available options:
inbound,
outbound
status
enum<string>
required
Available options:
received,
pending,
sent,
failed,
ambiguous,
rejected
from
string
required
envelope_from
string
required
to
string[]
required
subject
string
required
created_at
string<date-time>
required
sender_authentication
string
authenticated_sender
string
text
string
html
string
message_id
string
in_reply_to
string
error
string
read_at
string<date-time> | null